This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 106867 - (x86) 2.6.0-test kernel/kernel-unsupported RPMs completely lack jfs support
(x86) 2.6.0-test kernel/kernel-unsupported RPMs completely lack jfs support
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-12 15:32 EDT by Barry K. Nathan
Modified: 2007-04-18 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-06 22:11:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to change kernel configs to add JFS support (5.14 KB, patch)
2003-10-12 19:56 EDT, Barry K. Nathan
no flags Details | Diff

  None (edit)
Description Barry K. Nathan 2003-10-12 15:32:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030630

Description of problem:
JFS is totally missing from both kernel and kernel-unsupported, for the 2.6.0
test RPMs.

This prevents a system with JFS partitions from accessing those partitions.

Version-Release number of selected component (if applicable):
kernel-2.6.0-0.test7.1.52, kernel-unsupported-2.6.0-0.test7.1.52

How reproducible:
Always

Steps to Reproduce:
0. Ideally, find a system with JFS partitions on it.
1. Install the 2.6 kernel-unsupported and kernel RPMs.
2. Reboot into the new kernel.


Actual Results:  Notice lack of JFS support; notice that you can't get to your
data (if you have JFS partitions around). If your root partition is JFS, notice
that your system no longer boots ;)

Expected Results:  JFS should be present and working.

Additional info:

FWIW, 
# CONFIG_JFS_FS is not set
in all of the configs in /usr/src/linux-2.6.0-0.test7.1.52/configs

I might try patching the kernel SRPM (and then attaching such a patch to this
bug report).
Comment 1 Barry K. Nathan 2003-10-12 19:56:33 EDT
Created attachment 95124 [details]
patch to change kernel configs to add JFS support

These config files configure JFS just as it is configured in 2.4.21-3.EL. It's
compiling now as I type this. Once that finishes I'll test the i686 package to
make sure it works. I'm using a single 1.4GHz Pentium III for the compile so it
might take a while...
Comment 2 Barry K. Nathan 2003-10-13 02:31:41 EDT
It compiles and it works...
Comment 3 Barry K. Nathan 2004-03-06 22:11:08 EST
It seems fixed to me in both fc-devel and
people.redhat.com/arjanv/2.5, so I'm marking the bug as resolved.

Note You need to log in before you can comment on or make changes to this bug.